Bug 128917 - centrino WLAN ipw2100-0.49-11, can't be up from system-config-network
centrino WLAN ipw2100-0.49-11, can't be up from system-config-network
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-31 09:56 EDT by Lewi
Modified: 2014-03-16 22:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-02 15:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lewi 2004-07-31 09:56:53 EDT
Description of problem:
ifup-wireless doesn't set correct parameter, so device doesn't active


Version-Release number of selected component (if applicable):
initscripts-7.55.1-1

How reproducible:
always

Steps to Reproduce:
1. set ipw2100 to eth1
2. ifup eth1
3. WLAN connection can't be online
  
Actual results:
eth1 does active, but connection doesn't

Expected results:
connection should be active

Additional info:
connection can be active, when modify
/etc/sysconfig/network-scripts/ifup-wireless,
and move,
---
if [ -n "$RATE" ] ; then
    iwconfig $DEVICE rate $RATE
fi
---
to the end of file


"expected result"
_________________
eth1      IEEE 802.11b  ESSID:"linuxmobile"  Nickname:"ichtusmobile.org"
          Mode:Ad-Hoc  Channel:11  Cell: 02:0C:F1:D1:BE:8C
          Bit Rate=0kb/s   Tx-Power=32 dBm
          Retry:on   RTS thr=2304 B   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:60/100  Signal level:-87 dBm  Noise level:-98 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0


"actual result"
________________
eth1      IEEE 802.11b  ESSID:"linuxmobile"  Nickname:"ichtusmobile.org"
          Mode:Ad-Hoc  Channel:11  Cell: 00:00:00:00:00:00
          Bit Rate=0kb/s   Tx-Power=32 dBm
          Retry:on   RTS thr=2304 B   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:60/100  Signal level:-87 dBm  Noise level:-98 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0
Comment 1 Bill Nottingham 2004-08-02 15:39:09 EDT
So, the driver is order-dependent for rate setting?

That sounds like a driver bug.

Note You need to log in before you can comment on or make changes to this bug.